﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.SignalR;
using Syncfusion.EJ2.Blazor.Schedule;

namespace ScheduleSignalR.Pages
{
    public class ScheduleHub:Hub
    {
        public async Task SendData(List<Index.AppointmentData> data)
        {
            await Clients.Others.SendAsync("RecieveData", data);
        }

        public async Task SendViewData(View data)
        {
            await Clients.Others.SendAsync("ChangeView", data);
        }

        public async Task SendSelectedDateData(DateTime data)
        {
            await Clients.Others.SendAsync("ChangeDate", data);
        }
    }
}
